Subject: [Mip6] RE: [mobile-ip] Win32 demo of Mobile IPv6 mobile node and correspondent node is available

From: "Ed Remmell" <[email-masked]>
Date: Thu, 18 Sep 2003 11:21:51 -0700

FYI -

We recently updated our Win32 demo of dual stack + applications + MIPv6
MN+CN to v1.6; all known stability issues with the Win32 application are
now fixed (including the WinXP issue described below), also it has a
couple of MIPv6 bug fixes (including fixing Mobile Prefix Discovery,
which didn't work at all in v1.5). It is available here:

http://www.elmic.com/TreckDemo.zip

Thanks.
- Ed Remmell
Elmic Systems, USA

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ed Remmell
> Sent: Thursday, August 21, 2003 12:54 PM
> To: [email-masked]
> Subject: RE: [mobile-ip] Win32 demo of Mobile IPv6 mobile 
> node and correspondent node is available
> 
> 
> Note that we updated the PKZIP file on our web site 
> http://www.elmic.com/TreckDemo-1.5.zip this morning to fix a 
> couple of very minor MN/CN issues (which you would probably 
> never see), also to fix a stability issue (the main reason 
> for this email). So, if you are using this demo application, 
> please redownload it from the Elmic web site. Also, I've 
> noticed that with Windows XP Home Edition, sometimes (not all 
> the time - it appears to be dependent on what else is already 
> loaded into memory) it won't startup the very first time. 
> This never happens with Win 98 or Windows 2000, however. It 
> is perplexing (I have debugged it post-mortem, it gets an 
> access violation somewhere in MSVCRT.DLL), and it appears to 
> be due to some interaction with winpcap (since it always 
> occurs when we make the call to winpcap to get the Ethernet 
> adapter's MAC address). Anyways, if it happens, no biggie, 
> just attempt to restart the demo application and it has 
> always loaded and run successfully for me the 2nd (and 
> subsequent) times.
> 
> Thanks.
> - Ed
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Ed Remmell
> > Sent: Thursday, August 14, 2003 2:36 PM
> > To: [email-masked]
> > Subject: [mobile-ip] Win32 demo of Mobile IPv6 mobile node 
> > and correspondent node is available
> > 
> > 
> > ALL -
> > 
> > We've updated the Win32 port of our embedded systems' dual IP layer
> > (IPv4+IPv6) stack product to include support for Mobile IPv6
> > mobile node and correspondent node, using Eager Cell 
> > Switching for mobile node movement detection with a form of 
> > optimistic Duplicate Address Detection for fast handovers 
> > (protocol latency < 50 milliseconds). This Win32 binary demo 
> > is available for download at the following URL:
> > 
> > http://www.elmic.com/TreckDemo-1.5.zip
> > 
> > All you need to run it is a MS-Windows PC, and also winpcap
> > (we use winpcap to directly access the Ethernet card, we 
> > bypass the Windows stack). The readme.html file in 
> > TreckDemo-1.5.zip contains more information, here is the 
> > excerpt about our Mobile IPv6 support in this
> > demo:
> > 
> > Both mobile node and correspondent node functionality are
> > included in this demo. The correspondent node functionality 
> > is enabled by default: you can use the netstat tool to show 
> > active bindings by clicking the "binding" button. The mobile 
> > node functionality is enabled by specifying a home address in 
> > the "MN" field and then clicking the "Start" button to the 
> > right of that field. The mobile node will then attempt to 
> > discover a home agent for the specified home address, and if 
> > successful, then the "HA" field will be filled in with the 
> > address of the home agent. Next, the mobile node will try to 
> > register its home address with the home agent. In this demo, 
> > we have not included any of our IPsec/IKE functionality, 
> > although we have implemented full support for it in our 
> > Mobile IPv6 product. So, when you use this demo to test 
> > Mobile IPv6, you need to configure the home agent to allow 
> > the mobile node to register without using IPsec/IKE. If the 
> > mobile node successfully registers its home address, you will 
> > see the event "TM_6_MNBE_HA_REG_SUCCESS" logged. Then, the 
> > mobile node will by default use its registered home address 
> > as the source address of any communication it originates. 
> > This demo application has the mobile node use Eager Cell 
> > Switching for movement detection, which means that whenever 
> > the mobile node sees a Router Advertisement from a new 
> > router, it assumes that a L3 handover has occurred and will 
> > immediately switch to using that new router and update its 
> > mobility bindings in the home agent and correspondent nodes 
> > with a potentially new primary care-of address. Therefore, if 
> > you are testing this demo's mobile node functionality with 
> > multiple IPv6 routers on a link, this demo will execute 
> > frequent L3 handovers which will be sub-optimal. Note that 
> > our APIs are very flexible, and allow you to use other 
> > methods such as L2 triggers instead of Eager Cell Switching 
> > (by default, Eager Cell Switching is disabled in our 
> > implementation and has to be explicitly enabled by the user 
> > application, as it is in this demo application).
> > 
> > Thanks.
> > - Ed Remmell
> > Elmic Systems USA, Inc.
> > 
> > Best of Show Winner, ESC 2003
> > Click on the link and take a look!
> > http://cmp.iconvention.com/escshowdaily/v33/in> dex.cvn?ID=10183
> >  
> > 
> > ---
> > Outgoing mail is certified Virus Free.
> > Checked by AVG anti-virus system (http://www.grisoft.com).
> > Version: 6.0.497 / Virus Database: 296 - Release Date: 7/4/2003
> >  
> > 
> > 
> > ---
> > Incoming mail is certified Virus Free.
> > Checked by AVG anti-virus system (http://www.grisoft.com).
> > Version: 6.0.497 / Virus Database: 296 - Release Date: 7/4/2003
> >  
> > 
> 
> ---
> Outgoing mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.512 / Virus Database: 309 - Release Date: 8/19/2003
>  
> 
> 
> ---
> Incoming mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.512 / Virus Database: 309 - Release Date: 8/19/2003
>  
> 

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.512 / Virus Database: 309 - Release Date: 8/19/2003

_______________________________________________
Mip6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip6